Subject: Re: bug#11365: 24.1.50; quitting gdb does not restore window configuration

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 25 Apr 2022 17:05:47 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Anyway, I can indeed reproduce the problem -- after saying "quit" in the
> main gdb buffer, all the gdb buffers go away, but I'm left with a
> two-window conf (and not the one-window conf I started out with).

But I'm not sure whether we should do anything about this.  The user may
have altered many things in the window conf between saying `M-x gdb'
(which pops up all those windows) and saying "quit" (which removes all
the popped-up windows).

Restoring a previous window configuration (which may, after all, include
killed buffers and other oddities) after exiting something like a gdb
session doesn't seem like something everybody'd want.  But we could
offer it behind a user option, I guess.

Anybody got an opinion?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no